Name:		kile
Summary:	(La)TeX source editor and TeX shell
Version:	1.9
Release:	1%{?dist}
License:	GPL
Group:		Applications/Publishing
URL:		http://kile.sourceforge.net/
Source0:	http://dl.sourceforge.net/sourceforge/kile/kile-%{version}.tar.bz2
# Source0-md5:	32b660b4baccecf895d40c5ed43d2ffc
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
BuildRequires:	kdelibs-devel
Requires:	tetex-latex
## Optional/recommended, but not absolutely required.
#Requires(hint): gnuplot
#Requires(hint): xfig
Obsoletes:	kile-i18n < %{version}

%description
Kile is a user friendly (La)TeX editor.  The main features are:
  * Compile, convert and view your document with one click.
  * Auto-completion of (La)TeX commands
  * Templates and wizards makes starting a new document very little work.
  * Easy insertion of many standard tags and symbols and the option to define
    (an arbitrary number of) user defined tags.
  * Inverse and forward search: click in the DVI viewer and jump to the
    corresponding LaTeX line in the editor, or jump from the editor to the
    corresponding page in the viewer.
  * Finding chapter or sections is very easy, Kile constructs a list of all
    the chapter etc. in your document. You can use the list to jump to the
    corresponding section.
  * Collect documents that belong together into a project.
  * Easy insertion of citations and references when using projects.
  * Advanced editing commands.


%prep
%setup -q -n %{name}-%{version}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__make} install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  --vendor="" \
  --add-category="TextEditor" \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop

## File lists
# locale's
%{find_lang} %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    ( cd $lang_dir 
      for i in *; do
        [ -d $i -a -L $i/common ] && %{__rm} -f $i/common && ln -sf ../common $i/common
      done
    )
  fi
done
fi

## conflicting files (with kde > 3.2)
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/apps/katepart


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database >& /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/*
%{_datadir}/apps/kile/
%{_datadir}/apps/kconf_update/kile*
%config %{_datadir}/config*/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/mimelnk/*/*.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%changelog
* Sun Jul 23 2006 Wojciech Gabor <tuptus@turox.org>
- rebuild on Aurox 12.0

* Mon May  1 2006 Wojciech Gabor <tuptus@turox.org>
- initial build on Aurox 11.1
